This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004479 - [RFE] Add the ability to limit a user's access to certain cartridges
[RFE] Add the ability to limit a user's access to certain cartridges
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
1.2.1
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: jofernan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 13:50 EDT by Timothy Williams
Modified: 2014-11-03 14:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-03 14:54:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Williams 2013-09-04 13:50:59 EDT
Description of problem:
Currently, a user has all cartridges available to them without control. My customer is requesting that the ability to limit access to cartridges be added on a per user basis. It would also be productive to allow this limit to be mapped to ldap credentials.

Version-Release number of selected component (if applicable):
1.2

How reproducible:
Always

Steps to Reproduce:
1. Create a new user
2.
3.

Actual results:
The user has all cartridges available to them

Expected results:
The administrator can choose which cartridges a user has available
Comment 3 John Keck 2014-06-12 10:53:24 EDT
A related implementation is being discussed:

https://trello.com/c/ExXzmqPj/242-allow-restricting-gear-sizes-for-a-cartridge-devexp-admin
Comment 5 Gaoyun Pei 2014-10-24 02:30:40 EDT
Test this feature on puddle 2.2/2014-10-23.2.

All test case added in the trello card are passed. So move it to verified.
Comment 7 errata-xmlrpc 2014-11-03 14:54:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2014-1796.html

Note You need to log in before you can comment on or make changes to this bug.